Name:             phodav
Version:          2.5
Release:          1
Summary:          A WebDav server implementation using libsoup
License:          LGPLv2+
URL:              https://wiki.gnome.org/phodav
Source0:          http://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:    systemd-devel systemd-units libsoup-devel avahi-gobject-devel asciidoc
BuildRequires:    xmlto avahi-gobject gcc git-core meson gettext-devel gtk-doc

%description
A WebDAV server implementation using libsoup (RFC 4918).

%package -n       libphodav
Summary:          A library to serve files with WebDAV
Provides:         libphodav-2.0 = 0:%{version}-%{release} libphodav2 = 0:%{version}-%{release}
Obsoletes:        libphodav-2.0 <= 0:2.0-3 libphodav2 <= 0:2.0-4 libphodav-1.0 <= 0:0.4-6

%description -n   libphodav
This package provides the library of WebDAV server.

%package -n       libphodav-devel
Summary:          Development files for libphodav
Requires:         libphodav = %{version}-%{release}
Provides:         libphodav-2.0-devel = 0:%{version}-%{release} libphodav2-devel = 0:%{version}-%{release}
Obsoletes:        libphodav-2.0-devel <= 0:2.0-3 libphodav2-devel <= 0:2.0-4 libphodav-1.0-devel <= 0:0.4-6

%description -n   libphodav-devel
The libphodav-devel package includes the header files for libphodav.

%package -n       chezdav
Summary:          A tool allows to share a particular directory

%description -n   chezdav
The chezdav package contains a simple tool allows to share a
particular directory (with optional digest authentication).
The service is announced over mDNS for clients to discover.

%package -n       chezdav-help
Summary:          Help documentation for the chezdav-help

%description -n   chezdav-help
Help documentation for the chezdav-help

%package -n       spice-webdavd
Summary:          Spice daemon for the DAV channel
Requires:         avahi

Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

%description -n spice-webdavd
The spice-webdavd package contains a daemon to proxy WebDAV request to
the Spice virtio channel.

%prep
%autosetup -p1

%build
%meson -Davahi=enabled
%meson_build

%install
%meson_install
%delete_la_and_a

%find_lang phodav-2.0 --with-gnome

%post -n libphodav
/sbin/ldconfig

%postun -n libphodav
/sbin/ldconfig

%post -n spice-webdavd
%systemd_post spice-webdavd.service

%preun -n spice-webdavd
%systemd_preun spice-webdavd.service

%postun -n spice-webdavd
%systemd_postun_with_restart spice-webdavd.service

%files -n libphodav -f phodav-2.0.lang
%doc COPYING
%{_libdir}/libphodav-2.0.so.0*

%files -n libphodav-devel
%dir %{_includedir}/libphodav-2.0/
%{_includedir}/libphodav-2.0/*
%{_libdir}/libphodav-2.0.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/phodav-2.0/*

%files -n chezdav
%{_bindir}/chezdav

%files -n chezdav-help
%{_mandir}/man1/chezdav.1*

%files -n spice-webdavd
%doc COPYING
%{_sbindir}/spice-webdavd
/usr/lib/udev/rules.d/70-spice-webdavd.rules
%{_unitdir}/spice-webdavd.service

%changelog
* Wed Jun 30 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 2.5-1
- Upgrade to 2.5
- Use meson rebuild

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 2.2-8
- Completing build dependencies

* Tue Mar  9 2021 lingsheng <lingsheng@huawei.com> - 2.2-7
- Add require avahi for spice-webdavd

* Fri Feb 28 2020 likexin <likexin4@huawei.com> - 2.2-6
- Optimize spec files

* Fri Feb 28 2020 likexin <likexin4@huawei.com> - 2.2-5
- add BuildRequires avahi-gobject
 
* Fri Dec 13 2019 wanjiankang <wanjiankang@huawei.com> - 2.2-4
- Initial packaging.
